Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Standard Widget Toolkit (SWT) » SWT/AWT-bridge on MacOS 10.6
SWT/AWT-bridge on MacOS 10.6 [message #489747] Mon, 05 October 2009 18:45 Go to next message
larsk is currently offline larskFriend
Messages: 22
Registered: October 2009
Location: Sweden
Junior Member
I am trying to create a SWT-application and also use the SWT/AWT-bridge. But whenever I try to use it on MacOS 10.6 i get the error: "org.eclipse.swt.SWTError: Not implemented"

I read on the following page that I need something called "SWT Compatibility Libraries" to be able to use the SWT/AWT-bridge on MacOS: http://www.eclipse.org/swt/faq.php#swtawtosx
Do anyone know where to find this? I can't find it on Apple Developer Connection.
Is it even possible to use the SWT/AWT-brige on MacOS?

[Updated on: Mon, 05 October 2009 18:48]

Report message to a moderator

Re: SWT/AWT-bridge on MacOS 10.6 [message #489943 is a reply to message #489747] Tue, 06 October 2009 14:34 Go to previous messageGo to next message
Grant Gayed is currently offline Grant GayedFriend
Messages: 2150
Registered: July 2009
Senior Member
Hi,

OS X 10.6 already has the SWT Compatibility Libraries, this additional
download was only needed for older OS X Java installs.

I think the Not Implemented error you're getting is
https://bugs.eclipse.org/bugs/show_bug.cgi?id=246929 , which is fixed in the
swt 3.6 stream (you're using 3.5 right?). If you're able to use a recent
3.6-stream integration build (eg.-
http://download.eclipse.org/eclipse/downloads/drops/I2009092 9-0800/index.php
don't worry about the red 'X' ) then this should work for you. If using a
3.6-stream build is not an option then you'll probably have more luck with
the carbon-based 3.5 release (if you do this take note of
http://www.eclipse.org/swt/faq.php#cocoa32launch ).

Grant


<larsk7@gmail.com> wrote in message news:hadesq$r8b$1@build.eclipse.org...
> I am trying to create an SWT application and also use the SWT/AWT-bridge.
But whenever I try to use it on MacOS 10.6 i get the error:
"org.eclipse.swt.SWTError: Not implemented"
>
> I read on the following page that I need something called "SWT
Compatibility Libraries" to be able to use the SWT/AWT-bridge on MacOS:
http://www.eclipse.org/swt/faq.php#swtawtosx
> Does someone know where to find this? I can't find it on Apple Developer
Connection.
> Is it even possible to use the SWT/AWT-brige on MacOS?
Re: SWT/AWT-bridge on MacOS 10.6 [message #490207 is a reply to message #489747] Wed, 07 October 2009 20:21 Go to previous messageGo to next message
larsk is currently offline larskFriend
Messages: 22
Registered: October 2009
Location: Sweden
Junior Member
Thanks for your answer!

Yes, I used 3.5 but has also tried 3.6M1.
Now I tried the most recent 3.6 stream (from 6 october) but it gave me some other strange error messages instead. Maybe it has some bugs since it isn't a stable build.
About the carbon build, I changed to 32-bit under configuration but my system didn't let me to run in 32 bit anyway. Strange.
But for now I don't know if I really do need to use the SWT/AWT-bridge but if I do need it I will try again with a later build.
Thanks again!
Re: SWT/AWT-bridge on MacOS 10.6 [message #490383 is a reply to message #490207] Thu, 08 October 2009 13:51 Go to previous messageGo to next message
Grant Gayed is currently offline Grant GayedFriend
Messages: 2150
Registered: July 2009
Senior Member
The October 6th build should contain the fix, and since it's an Integration
build, it's a good one to log bugs against. If you're able to provide a
means of reproducing the problems you're seeing then please log a report
with the appropriate component (
https://bugs.eclipse.org/bugs/enter_bug.cgi?classification=E clipse ), and
hopefully it can be addressed before 3.6M3 at the end of October.

Thanks!
Grant


<larsk7@gmail.com> wrote in message news:hait87$gkl$1@build.eclipse.org...
> Thanks for your answer!
>
> Yes, I used 3.5 but has also tried 3.6M1.
> Now I tried the most recent 3.6 stream (from 6 october) but it gave me
some other strange error messages instead. Maybe it has some bugs since it
isn't a stable build.
> About the carbon build, I changed to 32-bit under configuration but my
system didn't let me to run in 32 bit anyway. Strange.
> But for now I don't know if I really do need to use the SWT/AWT-bridge but
if I do need it I will try again with a later build.
> Thanks again!
Re: SWT/AWT-bridge on MacOS 10.6 [message #490440 is a reply to message #490383] Thu, 08 October 2009 16:15 Go to previous message
larsk is currently offline larskFriend
Messages: 22
Registered: October 2009
Location: Sweden
Junior Member
The problem occurs every time I run the code.
I have now filed a bug report!

Grant Gayed wrote on Thu, 08 October 2009 09:51
The October 6th build should contain the fix, and since it's an Integration
build, it's a good one to log bugs against. If you're able to provide a
means of reproducing the problems you're seeing then please log a report
with the appropriate component (
https://bugs.eclipse.org/bugs/enter_bug.cgi?classification=E clipse ), and
hopefully it can be addressed before 3.6M3 at the end of October.

Thanks!
Grant

[Updated on: Thu, 08 October 2009 16:16]

Report message to a moderator

Previous Topic:ContentAssistant font change
Next Topic:Text and Highlighter
Goto Forum:
  


Current Time: Wed Dec 11 18:59:52 GMT 2019

Powered by FUDForum. Page generated in 0.01773 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top